
Katello - Bug #5830

Unable to upload manifest

05/20/2014 03:46 PM - Brad Buckingham

Status: Closed   

Priority: Low   

Assignee: Thomas McKay   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1096302 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1096302

Description of problem: Unable to upload manifest (via WebUI).

Steps to Reproduce:

1. content -> rh subscriptions -> manage -> upload manifest

2. upload manifest

Actual results:

Error during upload: required lock: #<ForemanTasks::Lock:0x00000008bc7958> conflicts wiht [#<ForemanTasks::Lock id: 137,

task_id: "4cfc41d6-03d1-42e8-8375-5c8edfff0b60", name: "read", resource_type: "Katello::Provider", resource_id: 2, exclusive: true>]

Expected results:

Manifest gets uploaded

History

#1 - 05/20/2014 03:47 PM - Brad Buckingham

- Triaged set to Yes

#2 - 08/01/2014 09:11 AM - Bryan Kearney

- Status changed from New to Closed

- Priority changed from Normal to Low

This appears to be working in master. Closing this out.

#3 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
